src/fvm/fvm_nodal_extract.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
fvm_nodal_extract.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <math.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "bft_mem.h"`
`#include "bft_printf.h"`
`#include "fvm_defs.h"`
`#include "fvm_io_num.h"`
`#include "fvm_nodal.h"`
`#include "fvm_nodal_priv.h"`
`#include "fvm_nodal_extract.h"`
Include dependency graph for fvm_nodal_extract.c:

## Macros
#define | _DOT_PRODUCT(v0, v1) (v0[0]*v1[0] + v0[1]*v1[1] + v0[2]*v1[2])
#define | _MODULE(v) sqrt(v[0]*v[0] + v[1]*v[1] + v[2]*v[2])
#define | _CROSS_PRODUCT(cp, v0, v1)
#define | HUGE_VAL 1.0e+30

## Functions
void | fvm_nodal_get_global_vertex_num (const fvm_nodal_t *this_nodal, cs_gnum_t *g_vtx_num)
void | fvm_nodal_get_global_element_num (const fvm_nodal_t *this_nodal, fvm_element_t element_type, cs_gnum_t *g_elt_num)
void | fvm_nodal_get_vertex_coords (const fvm_nodal_t *this_nodal, cs_interlace_t interlace, cs_coord_t *vertex_coords)
void | fvm_nodal_get_element_centers (const fvm_nodal_t *this_nodal, cs_interlace_t interlace, int entity_dim, cs_coord_t *cell_centers)
void | fvm_nodal_get_strided_connect (const fvm_nodal_t *this_nodal, fvm_element_t element_type, cs_lnum_t *connectivity)
void | fvm_nodal_get_vertex_elements (const fvm_nodal_t *this_nodal, int entity_dim, cs_lnum_t **element_index, cs_lnum_t **element_id)
void | fvm_nodal_extents (const fvm_nodal_t *this_nodal, double tolerance, double extents[])

## Macro Definition Documentation

#define _CROSS_PRODUCT | ( |  | cp,
|  |  | v0,
|  |  | v1
| ) |  |

Value:
(cp[0] = v0[1] * v1[2] - v1[1] * v0[2], \
cp[1] = v1[0] * v0[2] - v0[0] * v1[2], \
cp[2] = v0[0] * v1[1] - v1[0] * v0[1])

#define _DOT_PRODUCT | ( |  | v0,
|  |  | v1
| ) |  | (v0[0]*v1[0] + v0[1]*v1[1] + v0[2]*v1[2])

#define _MODULE | ( |  | v | ) | sqrt(v[0]*v[0] + v[1]*v[1] + v[2]*v[2])

#define HUGE_VAL 1.0e+30

## Function Documentation

void fvm_nodal_extents | ( | const fvm_nodal_t * | this_nodal,
|  | double | tolerance,
|  | double | extents[]
| ) |  |

void fvm_nodal_get_element_centers | ( | const fvm_nodal_t * | this_nodal,
|  | cs_interlace_t | interlace,
|  | int | entity_dim,
|  | cs_coord_t * | cell_centers
| ) |  |

void fvm_nodal_get_global_element_num | ( | const fvm_nodal_t * | this_nodal,
|  | fvm_element_t | element_type,
|  | cs_gnum_t * | g_elt_num
| ) |  |

void fvm_nodal_get_global_vertex_num | ( | const fvm_nodal_t * | this_nodal,
|  | cs_gnum_t * | g_vtx_num
| ) |  |

void fvm_nodal_get_strided_connect | ( | const fvm_nodal_t * | this_nodal,
|  | fvm_element_t | element_type,
|  | cs_lnum_t * | connectivity
| ) |  |

void fvm_nodal_get_vertex_coords | ( | const fvm_nodal_t * | this_nodal,
|  | cs_interlace_t | interlace,
|  | cs_coord_t * | vertex_coords
| ) |  |

void fvm_nodal_get_vertex_elements | ( | const fvm_nodal_t * | this_nodal,
|  | int | entity_dim,
|  | cs_lnum_t ** | element_index,
|  | cs_lnum_t ** | element_id
| ) |  |